<html>
<head>
<title>OGRE: OgrePatchMesh.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgrePatchMesh.h</h1><a href="OgrePatchMesh_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __PatchMesh_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __PatchMesh_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="OgreMesh_8h.html">OgreMesh.h</a>"</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include "<a class="code" href="OgrePatchSurface_8h.html">OgrePatchSurface.h</a>"</span>
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="keyword">namespace </span>Ogre {
<a name="l00037"></a>00037 
<a name="l00042"></a><a class="code" href="classOgre_1_1PatchMesh.html">00042</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1PatchMesh.html" title="Patch specialisation of Mesh.">PatchMesh</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1Mesh.html">Mesh</a>
<a name="l00043"></a>00043     {
<a name="l00044"></a>00044     <span class="keyword">protected</span>:
<a name="l00046"></a><a class="code" href="classOgre_1_1PatchMesh.html#2fd0967e4046c198f3b6e34b9ab128f3">00046</a>         <a class="code" href="classOgre_1_1PatchSurface.html" title="A surface which is defined by curves of some kind to form a patch, e.g.">PatchSurface</a> mSurface;
<a name="l00048"></a><a class="code" href="classOgre_1_1PatchMesh.html#4bfa20f2ac9301884139a7ff6316870b">00048</a>         <a class="code" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to...">VertexDeclaration</a>* mDeclaration;
<a name="l00049"></a>00049     <span class="keyword">public</span>:
<a name="l00051"></a>00051         <a class="code" href="classOgre_1_1PatchMesh.html" title="Patch specialisation of Mesh.">PatchMesh</a>(<a class="code" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a>* creator, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <a class="code" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> handle,
<a name="l00052"></a>00052             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group);
<a name="l00053"></a>00053 
<a name="l00055"></a>00055         <span class="keywordtype">void</span> define(<span class="keywordtype">void</span>* controlPointBuffer, 
<a name="l00056"></a>00056             <a class="code" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to...">VertexDeclaration</a> *declaration, <span class="keywordtype">size_t</span> width, <span class="keywordtype">size_t</span> height,
<a name="l00057"></a>00057             <span class="keywordtype">size_t</span> uMaxSubdivisionLevel = <a class="code" href="classOgre_1_1PatchSurface.html#7ee650d77c69b42c43fb7553118c2503575b3489dac0ce9bffbad3d630b76830">PatchSurface::AUTO_LEVEL</a>, 
<a name="l00058"></a>00058             <span class="keywordtype">size_t</span> vMaxSubdivisionLevel = <a class="code" href="classOgre_1_1PatchSurface.html#7ee650d77c69b42c43fb7553118c2503575b3489dac0ce9bffbad3d630b76830">PatchSurface::AUTO_LEVEL</a>,
<a name="l00059"></a>00059             <a class="code" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eee">PatchSurface::VisibleSide</a> visibleSide = <a class="code" href="classOgre_1_1PatchSurface.html#3786509c9aac2a5ea44848e3f49c5eeebe7d46958e7b6cf27e83c3e5600dafb2" title="The side from which u goes right and v goes up (as in texture coords).">PatchSurface::VS_FRONT</a>,
<a name="l00060"></a>00060             <a class="code" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> vbUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec466305ffbb339becd31435c5f616be4c28996" title="Combination of HBU_STATIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_STATIC_WRITE_ONLY</a>, 
<a name="l00061"></a>00061             <a class="code" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> ibUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#e51f5970d879af736e4cf53e1ec46630a0c82d1b27d6cc04e4b5f6d47a22a74c" title="Combination of HBU_DYNAMIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY</a>,
<a name="l00062"></a>00062             <span class="keywordtype">bool</span> vbUseShadow = <span class="keyword">false</span>, <span class="keywordtype">bool</span> ibUseShadow = <span class="keyword">false</span>);
<a name="l00063"></a>00063 
<a name="l00064"></a>00064         <span class="comment">/* Sets the current subdivision level as a proportion of full detail.</span>
<a name="l00065"></a>00065 <span class="comment">        @param factor Subdivision factor as a value from 0 (control points only) to 1 (maximum</span>
<a name="l00066"></a>00066 <span class="comment">            subdivision). */</span>
<a name="l00067"></a>00067         <span class="keywordtype">void</span> setSubdivision(<a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> factor);
<a name="l00068"></a>00068     <span class="keyword">protected</span>:
<a name="l00070"></a>00070         <span class="keywordtype">void</span> loadImpl(<span class="keywordtype">void</span>);
<a name="l00071"></a>00071 
<a name="l00072"></a>00072     };
<a name="l00079"></a><a class="code" href="classOgre_1_1PatchMeshPtr.html">00079</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1PatchMeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to PatchMeshPtr.">PatchMeshPtr</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">SharedPtr</a>&lt;PatchMesh&gt; 
<a name="l00080"></a>00080     {
<a name="l00081"></a>00081     <span class="keyword">public</span>:
<a name="l00082"></a><a class="code" href="classOgre_1_1PatchMeshPtr.html#805f0baacd697d7f4af951ab7615e879">00082</a>         <a class="code" href="classOgre_1_1PatchMeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to PatchMeshPtr.">PatchMeshPtr</a>() : <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">SharedPtr</a>&lt;<a class="code" href="classOgre_1_1PatchMesh.html" title="Patch specialisation of Mesh.">PatchMesh</a>&gt;() {}
<a name="l00083"></a><a class="code" href="classOgre_1_1PatchMeshPtr.html#3b401a583d037029570092cbf650faa4">00083</a>         <span class="keyword">explicit</span> <a class="code" href="classOgre_1_1PatchMeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to PatchMeshPtr.">PatchMeshPtr</a>(<a class="code" href="classOgre_1_1PatchMesh.html" title="Patch specialisation of Mesh.">PatchMesh</a>* rep) : <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">SharedPtr</a>&lt;<a class="code" href="classOgre_1_1PatchMesh.html" title="Patch specialisation of Mesh.">PatchMesh</a>&gt;(rep) {}
<a name="l00084"></a><a class="code" href="classOgre_1_1PatchMeshPtr.html#b0b41997a5ceba9683af4f4b09ff1fec">00084</a>         <a class="code" href="classOgre_1_1PatchMeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to PatchMeshPtr.">PatchMeshPtr</a>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1PatchMeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to PatchMeshPtr.">PatchMeshPtr</a>&amp; r) : <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">SharedPtr</a>&lt;<a class="code" href="classOgre_1_1PatchMesh.html" title="Patch specialisation of Mesh.">PatchMesh</a>&gt;(r) {} 
<a name="l00085"></a><a class="code" href="classOgre_1_1PatchMeshPtr.html#3bcd3bc266dd11c597e27fe74f5b908c">00085</a>         <a class="code" href="classOgre_1_1PatchMeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to PatchMeshPtr.">PatchMeshPtr</a>(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">ResourcePtr</a>&amp; r) : <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">SharedPtr</a>&lt;<a class="code" href="classOgre_1_1PatchMesh.html" title="Patch specialisation of Mesh.">PatchMesh</a>&gt;()
<a name="l00086"></a>00086         {
<a name="l00087"></a>00087             <span class="comment">// lock &amp; copy other mutex pointer</span>
<a name="l00088"></a>00088             <a class="code" href="OgrePrerequisites_8h.html#2201eef4cf31a94b24d79de6de3445af">OGRE_MUTEX_CONDITIONAL</a>(r.OGRE_AUTO_MUTEX_NAME)
<a name="l00089"></a>00089             {
<a name="l00090"></a>00090                 <a class="code" href="OgrePrerequisites_8h.html#8a4683cdaf73994ea7ec391c1ba82b60">OGRE_LOCK_MUTEX</a>(*r.OGRE_AUTO_MUTEX_NAME)
<a name="l00091"></a>00091                 <a class="code" href="OgrePrerequisites_8h.html#cf02af48b9d015cd2f0c10e22466c73a">OGRE_COPY_AUTO_SHARED_MUTEX</a>(r.OGRE_AUTO_MUTEX_NAME)
<a name="l00092"></a>00092                 pRep = <span class="keyword">static_cast&lt;</span><a class="code" href="classOgre_1_1PatchMesh.html" title="Patch specialisation of Mesh.">PatchMesh</a>*<span class="keyword">&gt;</span>(r.<a class="code" href="classOgre_1_1SharedPtr.html#15e055008751a7c20bdde38662d5f0a1">getPointer</a>());
<a name="l00093"></a>00093                 pUseCount = r.<a class="code" href="classOgre_1_1SharedPtr.html#21c3410c03ec3a4647c7aaa8e59d535d">useCountPointer</a>();
<a name="l00094"></a>00094                 <span class="keywordflow">if</span> (pUseCount)
<a name="l00095"></a>00095                 {
<a name="l00096"></a>00096                     ++(*pUseCount);
<a name="l00097"></a>00097                 }
<a name="l00098"></a>00098             }
<a name="l00099"></a>00099         }
<a name="l00100"></a>00100 
<a name="l00102"></a><a class="code" href="classOgre_1_1PatchMeshPtr.html#b2d38660f8e91b4f196cb8a2b8204674">00102</a>         <a class="code" href="classOgre_1_1PatchMeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to PatchMeshPtr.">PatchMeshPtr</a>&amp; operator=(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html" title="Reference-counted shared pointer, used for objects where implicit destruction is...">ResourcePtr</a>&amp; r)
<a name="l00103"></a>00103         {
<a name="l00104"></a>00104             <span class="keywordflow">if</span> (pRep == static_cast&lt;PatchMesh*&gt;(r.<a class="code" href="classOgre_1_1SharedPtr.html#15e055008751a7c20bdde38662d5f0a1">getPointer</a>()))
<a name="l00105"></a>00105                 <span class="keywordflow">return</span> *<span class="keyword">this</span>;
<a name="l00106"></a>00106             release();
<a name="l00107"></a>00107 
<a name="l00108"></a>00108             <a class="code" href="OgrePrerequisites_8h.html#2201eef4cf31a94b24d79de6de3445af">OGRE_MUTEX_CONDITIONAL</a>(r.OGRE_AUTO_MUTEX_NAME)
<a name="l00109"></a>00109             {
<a name="l00110"></a>00110                 <span class="comment">// lock &amp; copy other mutex pointer</span>
<a name="l00111"></a>00111                 <a class="code" href="OgrePrerequisites_8h.html#8a4683cdaf73994ea7ec391c1ba82b60">OGRE_LOCK_MUTEX</a>(*r.OGRE_AUTO_MUTEX_NAME)
<a name="l00112"></a>00112                 <a class="code" href="OgrePrerequisites_8h.html#cf02af48b9d015cd2f0c10e22466c73a">OGRE_COPY_AUTO_SHARED_MUTEX</a>(r.OGRE_AUTO_MUTEX_NAME)
<a name="l00113"></a>00113                 pRep = <span class="keyword">static_cast&lt;</span><a class="code" href="classOgre_1_1PatchMesh.html" title="Patch specialisation of Mesh.">PatchMesh</a>*<span class="keyword">&gt;</span>(r.<a class="code" href="classOgre_1_1SharedPtr.html#15e055008751a7c20bdde38662d5f0a1">getPointer</a>());
<a name="l00114"></a>00114                 pUseCount = r.<a class="code" href="classOgre_1_1SharedPtr.html#21c3410c03ec3a4647c7aaa8e59d535d">useCountPointer</a>();
<a name="l00115"></a>00115                 <span class="keywordflow">if</span> (pUseCount)
<a name="l00116"></a>00116                 {
<a name="l00117"></a>00117                     ++(*pUseCount);
<a name="l00118"></a>00118                 }
<a name="l00119"></a>00119             }
<a name="l00120"></a>00120             <span class="keywordflow">else</span>
<a name="l00121"></a>00121             {
<a name="l00122"></a>00122                 <span class="comment">// RHS must be a null pointer</span>
<a name="l00123"></a>00123                 assert(r.<a class="code" href="classOgre_1_1SharedPtr.html#8a223db784efd7aa766792649de2f2a0">isNull</a>() &amp;&amp; <span class="stringliteral">"RHS must be null if it has no mutex!"</span>);
<a name="l00124"></a>00124                 setNull();
<a name="l00125"></a>00125             }
<a name="l00126"></a>00126             <span class="keywordflow">return</span> *<span class="keyword">this</span>;
<a name="l00127"></a>00127         }
<a name="l00129"></a><a class="code" href="classOgre_1_1PatchMeshPtr.html#aa4b9228f5a8d40e3ad5e3d6e180fc70">00129</a>         <a class="code" href="classOgre_1_1PatchMeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to PatchMeshPtr.">PatchMeshPtr</a>&amp; operator=(<span class="keyword">const</span> <a class="code" href="classOgre_1_1MeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MeshPtr.">MeshPtr</a>&amp; r)
<a name="l00130"></a>00130         {
<a name="l00131"></a>00131             <span class="keywordflow">if</span> (pRep == static_cast&lt;PatchMesh*&gt;(r.<a class="code" href="classOgre_1_1SharedPtr.html#15e055008751a7c20bdde38662d5f0a1">getPointer</a>()))
<a name="l00132"></a>00132                 <span class="keywordflow">return</span> *<span class="keyword">this</span>;
<a name="l00133"></a>00133             release();
<a name="l00134"></a>00134             <span class="comment">// lock &amp; copy other mutex pointer</span>
<a name="l00135"></a>00135             <a class="code" href="OgrePrerequisites_8h.html#2201eef4cf31a94b24d79de6de3445af">OGRE_MUTEX_CONDITIONAL</a>(r.OGRE_AUTO_MUTEX_NAME)
<a name="l00136"></a>00136             {
<a name="l00137"></a>00137                 <a class="code" href="OgrePrerequisites_8h.html#8a4683cdaf73994ea7ec391c1ba82b60">OGRE_LOCK_MUTEX</a>(*r.OGRE_AUTO_MUTEX_NAME)
<a name="l00138"></a>00138                 <a class="code" href="OgrePrerequisites_8h.html#cf02af48b9d015cd2f0c10e22466c73a">OGRE_COPY_AUTO_SHARED_MUTEX</a>(r.OGRE_AUTO_MUTEX_NAME)
<a name="l00139"></a>00139                 pRep = <span class="keyword">static_cast&lt;</span><a class="code" href="classOgre_1_1PatchMesh.html" title="Patch specialisation of Mesh.">PatchMesh</a>*<span class="keyword">&gt;</span>(r.<a class="code" href="classOgre_1_1SharedPtr.html#15e055008751a7c20bdde38662d5f0a1">getPointer</a>());
<a name="l00140"></a>00140                 pUseCount = r.<a class="code" href="classOgre_1_1SharedPtr.html#21c3410c03ec3a4647c7aaa8e59d535d">useCountPointer</a>();
<a name="l00141"></a>00141                 <span class="keywordflow">if</span> (pUseCount)
<a name="l00142"></a>00142                 {
<a name="l00143"></a>00143                     ++(*pUseCount);
<a name="l00144"></a>00144                 }
<a name="l00145"></a>00145             }
<a name="l00146"></a>00146             <span class="keywordflow">return</span> *<span class="keyword">this</span>;
<a name="l00147"></a>00147         }
<a name="l00148"></a>00148     };
<a name="l00149"></a>00149 
<a name="l00150"></a>00150 }
<a name="l00151"></a>00151 
<a name="l00152"></a>00152 <span class="preprocessor">#endif</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:54 2008
</p>
</body>
</html>
